@import url("https://fonts.googleapis.com/css2?family=Anton&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Maven+Pro:wght@400..900&family=Noto+Sans+JP&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

@font-face {
  font-family: 'Museo';
  font-style: normal;
  font-weight: normal;
  src: local('Museo 300'), url('fonts/Museo300-Regular.woff') format('woff');
}


@font-face {
  font-family: 'Museo 700';
  font-style: normal;
  font-weight: normal;
  src: local('Museo 700'), url('fonts/Museo700-Regular.woff') format('woff');
}

html,
body,
.ControllTD,
#TD_print,
#TD_detach_graph,
#TD_download_excel,
#TD_color_blind_mode,
.navigation ul li,
.PerformanceTab_DDL_Performance_Function,
.PerformanceTab_Performance_NA_Value {
  font-family: "Inter", serif;
  font-size: 17px;
  color: #6f7480;
  font-weight: 400;
  line-height: 24px;
}

.comparelegend_eachname,
.comparelegend_colon,
.comparelegend_separator {
  color: #6F7480 !important;
}

.comparelegend_eachvalue {
  color: #06203b !important;
}

.highstocklegend {
  font-size: 17px !important;
  font-weight: 600;
  line-height: 25.5px;
}

body {
  margin: 0;
}

a:visited,
a:link {
  color: #1B3E6F;

  font-weight: normal;
  text-decoration: underline;
  font-style: none;
}

a:active,
a:hover {
  color: #146bc6;

  font-weight: none;
  text-decoration: underline;
  font-style: none;
}

/* Tool max-width */

#container {
  max-width: 1150px;
  margin: 0 auto;
  position: relative;
}

#shareGraph {
  min-height: 0;
}

/* PLUS AND MINUS START */

.minus span,
.Minus span,
.PerformanceTab_Performance_Negative_Value,
.PerformanceTab_Performance_By_Year_Negative_Value {
  color: #CCEFFF;
  display: inline-block;
  position: relative;
  top: 0px;
  left: 0px;
  background: #4E8AA5;
  padding: 8px 10px 8px 30px;
  border-radius: 20px;
  min-width: 60px;
  font-size: 14px;
}

.minus span:before,
.Minus span:before,
.PerformanceTab_Performance_Negative_Value:before,
.PerformanceTab_Performance_By_Year_Negative_Value:before {
  content: url(negative.png);
  width: 0;
  height: 0;
  position: absolute;
  top: 50%;
  right: 90px;
  margin-top: -10px;
  font-size: 14px;
}

.plus span,
.Plus,
.PerformanceTab_Performance_Positive_Value,
.PerformanceTab_Performance_By_Year_Positive_Value {
  color: #CCEFFF;
  display: inline-block;
  position: relative;
  top: 0px;
  left: 0px;
  background: #4E8AA5;
  padding: 8px 10px 8px 30px;
  border-radius: 20px;
  min-width: 60px;
  font-size: 14px;
}

.plus span:before,
.Plus:before,
.PerformanceTab_Performance_Positive_Value:before,
.PerformanceTab_Performance_By_Year_Positive_Value:before {
  content: url(positive.png);
  width: 0;
  height: 0;
  position: absolute;
  top: 50%;
  right: 88px;
  margin-top: -11px;
}

/* PLUS AND MINUS END */

/* GENERAL - TABLES & HEADINGS & TICKER AREA */

/****************************************** HEADINGS *******************************************************/

.legenddate {
  color: #06203b !important;
  font-size: 1em;
  font-weight: bold;
}

.Orders_TitleTD_Right {
  color: #06203b;
  font-weight: bold;
}

.Orders_TitleTD_Left,
.TradesByBroker,
.DivLastestShareTrades span,
.PerformanceTab_TD_Select_Type_Label {
  line-height: normal;
  margin: 0px;
  padding: 0px;

  font-family: inherit;
  font-size: 1.25em !important;
  color: #06203b !important;
  font-weight: bold;

  padding-top: 0em;
  padding-bottom: 1em;

  display: none;
}

.TickerDateTD {
  padding-bottom: 0.6em;
  padding-left: 0em;
  padding-top: 0.6em;
  padding-right: 0.6em;

  text-align: left;
}

/********************************************************************************** TABLES *****************************************************************************************/

/*
#container {
	overflow: visible;
}
*/

/****************************************** BORDER CONTROLS *******************************************************/

/*** Table ***/

.PerformanceTab_Table_Performance_By_Year,
.PerformanceTab_Table_Price_Performance,
.PerformanceTab_Performance_By_Year_Header_Row,
.orderBorder>table:first-child,
.BrokerHeaderTable,
.ShareDataTable,
.TickerTbl {
  width: 100%;
  box-sizing: border-box;
  border-collapse: collapse;
  border-spacing: 0px;
}

/*** Inner Borders ***/

.PerformanceTab_Performance_By_Year_Header_Row th,
.PerformanceTab_Performance_Header_Row th,
.Orders_HeaderTD_Date.tdOrderMiddle,
.Orders_HeaderTD_Ask.tdOrderRight,
.BrokerHeaderTable tr:first-child .Broker_ColumnPercent,
.BrokerHeaderTable tr:first-child .Broker_ColumnVolume,
.Trades_VolumeHeading,
.Trades_LastHeading,
.TickerNameTD {
  border-left: 0em solid #e0e0e0;
}

.PerformanceTab_Performance_By_Year_Row td,
.PerformanceTab_Performance_Row td,
.tdOrderMiddle,
.tdOrderRight,
.BrokerHeaderTable tr .Broker_ColumnPercent.Broker_ColumnBrokerValue,
.BrokerHeaderTable tr .Broker_ColumnVolume.Broker_ColumnBrokerValue,
.Trades_Close_Change,
.Trades_Size,
.DataValueTD,
.TickerValueTD {
  border-left: 0em solid #e0e0e0;
}

.PerformanceTab_Performance_By_Year_Header_Row th.PerformanceTab_Performance_By_Year_Instrument_Heading,
.PerformanceTab_Performance_By_Year_Row td.PerformanceTab_Performance_By_Year_Instrument_Value,
.PerformanceTab_Performance_Header_Row th.PerformanceTab_Performance_Instrument_Heading,
.PerformanceTab_Performance_Row td.PerformanceTab_Performance_Instrument_Value,
.TickerNameTD_ShareName,
.TickerValueTD_ShareName {
  border-left: 0px;
}

.PerformanceTab_Performance_By_Year_Row td,
.PerformanceTab_Performance_Row td,
.Orders_RowTR>td,
.Broker_EvenRow td,
.Broker_OddRow td,
.Trades_Row td,
.DataNameTD,
.DataValueTD,
.TickerValueTD {
  border-bottom: 0em solid #e0e0e0;
}

/*** Outter borders ***/

.PerformanceTab_Performance_By_Year_Header_Row th.PerformanceTab_Performance_By_Year_Instrument_Heading,
.PerformanceTab_Performance_By_Year_Row td.PerformanceTab_Performance_By_Year_Instrument_Value,
.PerformanceTab_Performance_Header_Row th.PerformanceTab_Performance_Instrument_Heading,
.PerformanceTab_Performance_Row td.PerformanceTab_Performance_Instrument_Value,
.tdOrderLeft,
.Broker_ColumnOrder,
.Trades_TradeTime,
.DataNameTD,
.Trades_TimeHeading,
.TickerValueTD_ShareName,
.TickerNameTD_ShareName {
  border-left: 0em solid #e0e0e0;
}

.PerformanceTab_Performance_By_Year_Prev4_Heading,
.PerformanceTab_Performance_By_Year_Prev4_Value,
.PerformanceTab_Performance_52_Week_High_Low_Heading,
.PerformanceTab_Performance_52_Week_High_Low_Value,
.tdOrderRight,
.Broker_ColumnVolume,
.Trades_Size,
.DataValueTD,
.Trades_VolumeHeading,
.TickerValueTD_Volume,
.TickerNameTD_Volume {
  border-right: 0em solid #e0e0e0;
}

.PerformanceTab_Performance_By_Year_Row:last-child td,
.PerformanceTab_Performance_Row:last-child td,
.Orders_RowTR:last-child>td,
.BrokerHeader tr:last-child td,
.Trades_Row:last-child td,
.DataTable tr:last-child .DataNameTD,
.DataTable tr:last-child .DataValueTD,
.TickerRow:last-child .TickerValueTD {
  border-bottom: 0em solid #e0e0e0;
}

.PerformanceTab_Performance_By_Year_Header_Row th,
.PerformanceTab_Performance_Header_Row th,
.DataTable tr:first-child .DataNameTD,
.DataTable tr:first-child .DataValueTD {
  border-top: 0em solid #e0e0e0;
}

/*** Header Top/Bottom Borders ***/

.PerformanceTab_Performance_By_Year_Header_Row th,
.PerformanceTab_Performance_Header_Row th,
.Orders_HeaderTD,
.BrokerHeaderTable tr:first-child td,
.Trades_RowHeader td,
.TickerNameTD {
  border-top: 0em solid #e0e0e0;
  border-bottom: 0.08em solid #e0e0e0;
}

/*** Header Left/Right Borders ***/

.PerformanceTab_Performance_Header_Row th.PerformanceTab_Performance_Instrument_Heading,
.PerformanceTab_Performance_By_Year_Header_Row th.PerformanceTab_Performance_By_Year_Instrument_Heading,
.Orders_HeaderTD_Bid,
.BrokerHeader tr:first-child td.Broker_ColumnOrder,
.Trades_TimeHeading,
.TickerNameTD_ShareName {
  border-left-color: #06203b;
}

.PerformanceTab_Performance_Header_Row th:last-child,
.PerformanceTab_Performance_By_Year_Header_Row th:last-child,
.Orders_HeaderTD_Ask,
.BrokerHeader tr:first-child td.Broker_ColumnVolume,
.Trades_VolumeHeading,
.TickerNameTD_Volume {
  border-right-color: #06203b;
}

/*** Ticker date fix, needed because the date and the ticker table are actually in a single table ***/

td.TickerDateTD {
  border-left: 0em solid transparent;
  border-right: 0em solid transparent;
}

/*** Table Backgrounds ***/

/*** Head ***/

.PerformanceTab_Performance_By_Year_Header_Row th,
.PerformanceTab_Performance_Header_Row th,
.Orders_HeaderTD_Date,
.BrokerHeader tr:first-child td,
.Trades_VolumeHeading,
.Trades_LastHeading,
.TickerNameTD {
  color: #06203b;
  text-align: right;
  line-height: 25.5px;
  font-weight: 600;
  text-transform: none;
}

.PerformanceTab_Performance_By_Year_Header_Row th.PerformanceTab_Performance_By_Year_Instrument_Heading,
.PerformanceTab_Performance_Header_Row th.PerformanceTab_Performance_Instrument_Heading,
.Orders_HeaderTD_Bid,
.Orders_HeaderTD_Ask,
.BrokerHeader tr:first-child td.Broker_ColumnOrder,
.BrokerHeader tr:first-child td.Broker_ColumnBroker,
.Trades_TimeHeading,
.TickerNameTD_ShareName {
  color: #06203b;
  text-align: left;

  font-weight: 600;
  text-transform: none;
}

/*** Body ***/

.PerformanceTab_Performance_By_Year_Row_EvenRow td,
.PerformanceTab_Performance_Row_EvenRow td,
.Orders_EvenRowTR>td,
.Broker_EvenRow td,
.TradesTable .EvenRow td,
.EvenRowTR .DataNameTD,
.EvenRowTR .DataValueTD,
.Ticker_OddRow .TickerValueTD {
  background: transparent;
}

.PerformanceTab_Performance_By_Year_Row_OddRow td,
.PerformanceTab_Performance_Row_OddRow td,
.Orders_OddRowTR>td,
.Broker_OddRow td,
.TradesTable .OddRow td,
.OddRowTR .DataNameTD,
.OddRowTR .DataValueTD,
.Ticker_EvenRow .TickerValueTD {
  background: transparent;
}

.PerformanceTab_Performance_By_Year_Row td,
.PerformanceTab_Performance_Row td,
.Orders_RowTR>td.tdOrderMiddle,
.BrokerHeaderTable tr td,
.TradesTable .Trades_Row .Trades_Close_Change,
.TradesTable .Trades_Row .Trades_Size,
.ShareDataTable tr .DataValueTD,
.TickerRow .TickerValueTD {
  background: transparent;
  text-align: right;
  color: #06203b;

  font-weight: 400;
}

.PerformanceTab_Performance_By_Year_Row td.PerformanceTab_Performance_By_Year_Instrument_Value,
.PerformanceTab_Performance_Row td.PerformanceTab_Performance_Instrument_Value,
.Orders_RowTR>td.tdOrderLeft,
.Orders_RowTR>td.tdOrderRight,
.BrokerHeaderTable tr td.Broker_ColumnOrderValue,
.BrokerHeaderTable tr td.Broker_ColumnOrderValue+.Broker_ColumnBrokerValue,
.TradesTable .Trades_Row .Trades_TradeTime,
.ShareDataTable tr .DataNameTD {
  background: transparent;
  text-align: left;
  color: #06203b;

  font-weight: 400;
  text-transform: none;
  padding: 15px !important;
}

.TickerRow .TickerValueTD_ShareName {
  background: transparent;
  text-align: left;
  color: #06203b;
  font-weight: bold;
  text-transform: none;
  font-family: 'Museo';
  font-size: 18px;
}

/***************************************** Order Depth *****************************************/

.Orders_RowTR>td.tdOrderLeft,
.Orders_HeaderTD_Bid {
  text-align: left;
}

.Orders_RowTR>td.tdOrderRight,
.Orders_HeaderTD_Ask {
  text-align: right;
}

/***************************************** END OF BORDER CONTROL **************************************************/

.DataTable,
.TickerTbl,
table.TradesTable,
.orderBorder table {
  border-collapse: collapse;
  border-spacing: 0;
}

.TradesTable {
  margin-bottom: 1em;
}

.orderBorder .tdOrderMiddle table {
  border-bottom: 0em;
}

.BrokerHeaderTable {
  border-collapse: collapse;
}

.Orders_HeaderTD,
.BrokerTypeRow,
.BrokerHeaderTable tbody tr:first-child td,
.TickerNameTD,
.TradesTable .Trades_RowHeader td,
.PerformanceTab_Performance_Header_Row th,
.PerformanceTab_Performance_By_Year_Header_Row th {
  padding-top: 0.6em;
  padding-bottom: 0.6em;
  padding-left: 0.6em;
  padding-right: 0.6em;
}

.BrokerTypeRow {
  border-bottom: 0;
  padding-bottom: 0em;
}

.Orders_RowTR .tdOrderLeft,
.Orders_RowTR .tdOrderMiddle,
.Orders_RowTR .tdOrderRight,
.Broker_EvenRow td,
.Broker_OddRow td,
.TickerValueTD,
.DataNameTD,
.DataValueTD,
.TradesTable .Trades_Row td,
.PerformanceTab_Performance_By_Year_Row td,
.PerformanceTab_Performance_Row td {
  padding-top: 0.6em;
  padding-bottom: 0.6em;
  padding-left: 0.6em;
  padding-right: 0.6em;

  height: auto;
  line-height: normal;
}

.TradesTable .Trades_RowHeader td.Trades_LastHeading,
.TradesTable .Trades_Row td.Trades_Close_Change {
  padding-right: 1.5em;
}

.TickerValueTD_LastPriceChange,
.TickerValueTD_LastPricePercentChange {
  padding-right: 0.6em;
}

.TickerNameTD_LastPriceChange,
.TickerNameTD_LastPricePercentChange {
  padding-right: 0.6em;
}

.TickerValueTD {
  width: 8.8%;
  white-space: nowrap;
}

.TickerValueTD_ShareName {
  width: 20.08%;
  white-space: normal;
}

.TickerNameTD {
  white-space: nowrap;
}

/* Selected row controls */
.Ticker_SelectedRow {}

.TickerNameTD_MarketName,
.TickerValueTD_MarketName {
  display: none;
}

@media (min-width: 0px) and (max-width: 686px) {

  .TickerValueTD_Ask,
  .TickerValueTD_Bid,
  .TickerNameTD_Ask,
  .TickerNameTD_Bid {
    display: none;
  }

  .TickerValueTD {
    width: 12.5%;
  }

  .TickerValueTD_ShareName {
    width: 25%;
  }
}

@media (min-width: 0px) and (max-width: 583px) {

  .TickerValueTD_High,
  .TickerValueTD_Low,
  .TickerNameTD_High,
  .TickerNameTD_Low {
    display: none;
  }

  .TickerValueTD {
    width: 17.5%;
  }

  .TickerValueTD_ShareName {
    width: 30%;
  }
}

@media (min-width: 0px) and (max-width: 434px) {

  .TickerValueTD_LastPricePercentChange,
  .TickerNameTD_LastPricePercentChange {
    display: none;
  }

  .TickerValueTD {
    width: 20%;
  }

  .TickerValueTD_ShareName {
    width: 40%;
  }
}

/* END OF TICKER AREA */

/********************************************************************************* TABS AREA START */

#tabPanel {
  margin-top: 3em;
  margin-bottom: 2em;
  width: 100%;
  height: auto;
  line-height: normal;

  position: relative;
  z-index: 0;
}

#tabPanel:after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0em;
  left: 0em;
  width: 100%;
  height: 0em;
  z-index: -1;

  border-bottom: 0em solid #e5eef1;
}

#tabPanel ul {
  text-align: center !important;
  font-size: 0em;
  background: #e5eef1;
  border-radius: 200px;
  width: 45%;
  margin: 0 auto !important;
  height: 50px;
}

/* Unselected tab rules */
.navigation ul li a {
  height: auto;
  line-height: 19.2px;

  padding-top: 9px !important;
  padding-right: 20px;
  padding-bottom: 9px !important;
  padding-left: 20px;
  margin-top: 6px;
  margin-right: 0.08em;
  margin-bottom: 0;
  margin-left: 0.08em;

  border-radius: 12.5em 12.5em 12.5em 12.5em;

  font-family: inherit;
  font-weight: 600;
  font-size: 16px;
  text-transform: none;
  color: #4e8aa5;

  font-style: normal;
  text-decoration: none;

  border-top: 0em solid #e5eef1;
  border-right: 0em solid #e5eef1;
  border-bottom: 0em solid #e5eef1;
  border-left: 0em solid #e5eef1;

  background: #e5eef1;

  transition: background 0.5s, color 0.5s, border 0.5s;

  position: relative;
  top: 0;
  left: 0em;
}

.navigation ul li a:hover {
  background: #4e8aa5;
  color: #ffffff;
  border-top: 0em solid #4e8aa5;
  border-right: 0em solid #4e8aa5;
  border-bottom: 0em solid #4e8aa5;
  border-left: 0em solid #4e8aa5;

  text-decoration: none;
  font-style: normal;

  z-index: 9;
}

/* Selected tab rules */
.navigation ul li a.tab_selected {
  background: #4e8aa5;
  color: #ffffff;
  border-top: 0em solid #4e8aa5;
  border-right: 0em solid #4e8aa5;
  border-bottom: 0em solid #4e8aa5;
  border-left: 0em solid #4e8aa5;

  position: relative;
  top: 0px;
  left: 0px;

  z-index: 10;
}

.tab_selected:hover {}

.tab_selected:before {
  content: "";
  width: 0;
  height: 0;

  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -0em;

  border-left: 0em solid transparent;
  border-right: 0em solid transparent;
  border-top: 0em solid #4e8aa5;
}

/* END OF TABS AREA */
/* Corrections for period selection & graph legend display */

/*************************************** Start of: Graph interval selection & legend ****************************************/

.PeriodSelectionIntervalText {
  font-size: 0em;
  width: 0em;
  padding: 0em;
}

ul#_ulPeriod {
  padding-top: 0.5em !important;
}

#_ulPeriod li {
  padding: 0.5em;
  padding-top: 0em;
}

.ul_highstocklegend li {
  list-style: none;
  margin-left: 0em;
  line-height: 1em;
  height: auto;

  float: none;
  display: inline-block;
  *display: inline;
  *zoom: 1;
}

.comparelegend_name {
  padding: 0px;

  position: relative;
  top: 0em;
  left: 0em;
  margin-left: 0em;

  display: inline-block !important;
}

.comparelegend_name:before {
  content: url(Rectangle.png);

  font-family: "Inter", serif !important;
  font-size: 2em;
  position: relative;
  left: -2px;
  top: 2px;
  margin-top: -0.385em;
  margin-right: 0.2em;
  color: #06203B;
  line-height: 0.5em;

  display: inline-block !important;
}

.ul_highstocklegend_color_blind_mode .comparelegend_name:before {
  content: "";
}

#_ulPeriod li label {
  white-space: nowrap;
}

div#periodSelectionPanel {
  border-bottom: 0em solid #e0e0e0;
}

.highstocklegend {
  margin: 20px 27px 20px 34px;
  padding: 0px 10px;
  border: 1px solid #e0e0e0;
  border-radius: 10px;
}

.ul_highstocklegend {
  padding: 0em 0 1em 1em;
  font-weight: 400;
  border-bottom: 0em solid #e0e0e0;
}

.comparelegend_value {
  padding-left: 0.5em;
  padding-right: 0.5em;
}

.legenddate {
  padding-top: 1em;
  padding-bottom: 1em;
  padding-left: 1em;
}

@media (min-width: 0px) and (max-width: 645px) {

  /**************** Gets rid of the exsess values on the legend ****************/
  .legendSharesDiv .comparelegend_value {
    white-space: normal !important;
  }

  .legendSharesDiv div {
    display: inline-block;
  }

  .legendSharesDiv .comparelegend_value>div>div {
    display: none !important;
  }

  .legendSharesDiv .comparelegend_value>div>div:last-child {
    display: inline-block !important;
  }
}

/*************************************** Start of: Graph Buttons ****************************************/

#additionFunctionPanelPanel {
  padding: 0.5em 0 0 0;
}

.additionFunction table {
  margin: 0em;
  width: 100%;
}

.button,
.button:link,
.button:visited {
  display: block;

  font-family: inherit;
  font-size: 17px;
  font-weight: 600;
  color: #ffffff;
  text-transform: none;
  line-height: 26px;

  margin: 0.5em;
  padding: 11px 24px;

  border: 0em solid #1b3e6f;
  border-radius: 200px;
  background: #1b3e6f;

  transition: background 0.5s, color 0.5s, border 0.5s;
  text-decoration: none;
}

.button:active,
.button:hover {
  text-decoration: none;

  background: #1b3e6f;
  color: #ffffff;
  border-color: #1b3e6f;
}

.button img {
  display: none;
}

.additionFunction table,
.additionFunction tbody,
.additionFunction tr {
  display: block;
}

.additionFunction tr {
  font-size: 0em;
  text-align: center;
}

.additionFunction table td {
  width: auto;
  text-align: center;

  display: inline-block;
  *display: inline;
  *zoom: 1;


  box-sizing: border-box;
}

@media (max-width: 775px) {
  .t-ie9 .additionFunction table td {
    /** Hack for IE9, but effects IE10 as well */
    float: left \; width: 100% \;
  }
}

/*************************************** Start of: Graph Controls ****************************************/

.ControllTD>div {
  margin: 1em 0.5em 0 0.5em;
  border: 0em solid #e0e0e0;
  background-color: transparent;
}

.title {
  font-family: inherit;
  font-size: 17px;
  color: #06203b;
  font-weight: bold;
  font-style: normal;
  line-height: 25.5px;

  text-transform: initial;

  background: transparent;
  text-align: left;
  float: center;

  border-bottom: 0.08em solid #e0e0e0;

  padding-top: 0.6em;
  padding-bottom: 0.6em;
  padding-left: 0em;
  padding-right: 0em;

  margin-bottom: 0em;
  margin-top: 0em;
}

.divtable {
  padding: 0.6em 0em 0.6em 0em;
  clear: both;
  min-height: 5em;
}

.custom_label td {
  line-height: normal;
  height: auto;
}

table td.compare_part {
  padding-left: 0.4em;
  width: 100%;
}

table td.compare_part div {
  width: auto;
}

.ControllRow>tbody,
.ControllRow>tbody>tr,
.ControllRow {
  display: block;
}

.ControllRow>tbody>tr {
  font-size: 0em;
  text-align: left;
}

.ControllTD {
  width: 33.33%;
  vertical-align: top;

  display: inline-block;
  *display: inline;
  *zoom: 1;
  /* IE 8 & below CSS correction */
  float: left\9;
  /* * * * * * * * * * * * * * * */
  text-align: left;
}

.ControllRow {
  padding: 0;
}

.ControllTD .table_row {
  height: 2em;
}

.t-safari .ControllTD input[disabled] {
  /* Fix for iOS Safari where the disabled input boxes are cut when inside inline-block elements */
  opacity: 1;
  border-color: #ccc;
  background: #fafafa;
}

@media (min-width: 0px) and (max-width: 686px) {
  .ControllTD {
    width: 50%;
    float: left;
    min-height: 11em;

    min-width: 14.28em;
  }

  .ControllRow>tbody>tr {
    text-align: center;
  }
}

@media (min-width: 0px) and (max-width: 459px) {
  .ControllTD {
    float: none;
    height: auto;
  }

  .t-ie9 .ControllTD {
    /** Hack for IE9, but effects IE10 as well */
    float: left \; width: 100% \;
  }

  .divtable,
  .ControllTD {
    min-height: auto !important;
  }
}

#footer {
  clear: both;
  font-size: 13px;
  font-weight: 400;
  line-height: 15.6px;
}

/*************************************** Start of: Share data ****************************************/

.DataNameTD,
.DataValueTD {
  width: 50%;
}

/*************************************** Start of: Trades ****************************************/

.TradesTable .Trades_RowHeader td {
  width: 33.33%;
}

.TradesTable .Trades_RowHeader td.Trades_LastHeading,
.TradesTable .Trades_RowHeader td.Trades_TimeHeading {
  width: 33.33%;
}

.excellink {
  text-align: right;
  padding-bottom: 1em;
}

.Buyers {
  vertical-align: top;
}

.Broker_DivBullet {
  width: 1em;
  height: 1em;
  line-height: 1em;
}

.Broker_ColumnBroker,
.Broker_ColumnPercent,
.Broker_ColumnVolume {
  width: 33.33%;
}

.fullbrokername {
  padding: 0.5em;
  background: #fff;
  border: 0.08em solid #e0e0e0;
  box-shadow: 1px 1px 2px #a6a9a3;
}

.Buyers {
  padding-right: 0.25em;
}

.Sellers {
  padding-left: 0.25em;
}

.Buyers,
.Sellers {
  vertical-align: top;
}

.Broker_Chart {
  text-align: center;
}

@media (min-width: 0px) and (max-width: 481px) {
  .Broker_Chart img {
    display: none;
  }

  .BrokerContentTable,
  .BrokerContentTable>tbody,
  .BrokerContentTable>tbody>tr,
  .Sellers,
  .Buyers {
    display: block;
  }

  .Broker_Chart {
    clear: both;
  }

  .BrokerTableContent {
    float: left;
    clear: both;
  }

  .Sellers .BrokerTableContent {
    margin-top: 1em;
  }
}

/*************************************** Start of: Order Depth ****************************************/

.Orders_TitleTD_Right {
  text-align: right;
}

.Orders_RowTR .tdOrderLeft {
  text-align: left;
}

.Orders_VolumeTD_AskBox {
  background: #06203b;
}

.Orders_VolumeTD_BidBox {
  background: #e5edf6;
}

.Orders_VolumeTD_BidNumber {
  text-align: right;
  padding-right: 0.5em;
  white-space: nowrap;
}

.Orders_VolumeTD_AskNumber {
  text-align: left;
  padding-left: 0.5em;
  white-space: nowrap;
}

.Orders_HeaderTD_Date {
  text-align: center;
}

/*************************************** Start of: Performance ****************************************/

.PerformanceTab_TD_Select_Type_Label {
  width: 50%;
  text-align: left;
}

.PerformanceTab_TD_Select_Type_Value {
  padding: 0 0 0.5em 0;
  width: 50%;
  text-align: right;
}

.PerformanceTab_TD_Select_Currency_Label,
.PerformanceTab_TD_Select_Currency_Value {
  display: none;
}

.PerformanceTab_DDL_Performance_Function {
  color: #333;
  font-size: 1em;
  padding: 0.22em;
  box-sizing: border-box;
  background: #fff;
  border: 0.08em solid #e0e0e0;
  max-width: 20em;
  width: 100%;
}

.PerformanceTab_Performance_Row td {
  padding-right: 1.5em;
}

.PerformanceTab_Performance_Row .PerformanceTab_Performance_52_Week_High_Low_Value,
.PerformanceTab_Performance_Row .PerformanceTab_Performance_All_Time_High_Low_Value {
  padding-right: 0.6em;
}

.PerformanceTab_Performance_By_Year_Row td {
  padding-right: 1.5em;
}

th.PerformanceTab_Performance_By_Year_Instrument_Heading,
.PerformanceTab_Performance_Header_Row th.PerformanceTab_Performance_Instrument_Heading {
  text-align: left;
}

td.PerformanceTab_Performance_By_Year_Instrument_Value,
.PerformanceTab_Performance_Row td.PerformanceTab_Performance_Instrument_Value {
  text-align: left;
}

.PerformanceTab_Performance_Instrument_Value div,
.PerformanceTab_Performance_By_Year_Instrument_Value div {
  padding: 0px !important;
  margin: 0px !important;
}

.PerformanceTab_Table_Price_Performance,
.PerformanceTab_Table_Performance_By_Year {
  width: 100%;
}

.PerformanceTab_Performance_Header_Row th {
  padding-left: 0.5em;
}

.PerformanceTab_Performance_By_Year_Header_Row th {
  padding-right: 1em;
  padding-left: 0.5em;
}

.PerformanceTab_Performance_By_Year_NA_Value,
.PerformanceTab_Performance_Neutral_Value,
.PerformanceTab_Performance_By_Year_Neutral_Value,
.PerformanceTab_Performance_NA_Value {
  color: inherit;
}

.PerformanceTab_Performance_Instrument_Value span.PerformanceTab_SharePriceDevelopment_Instrument_InstrumentName {
  display: inline-block;
  padding-right: 0.5em;
}

@media (min-width: 0px) and (max-width: 586px) {

  .PerformanceTab_Performance_By_Year_Prev4_Heading,
  .PerformanceTab_Performance_By_Year_Prev4_Value {
    display: none;
  }
}

@media (min-width: 0px) and (max-width: 461px) {

  .PerformanceTab_Performance_By_Year_Prev3_Heading,
  .PerformanceTab_Performance_By_Year_Prev3_Value {
    display: none;
  }
}

@media (min-width: 0px) and (max-width: 380px) {

  .PerformanceTab_Performance_By_Year_Prev2_Heading,
  .PerformanceTab_Performance_By_Year_Prev2_Value {
    display: none;
  }
}

@media (min-width: 0px) and (max-width: 605px) {

  .PerformanceTab_Performance_52_Week_High_Low_Value,
  .PerformanceTab_Performance_52_Week_High_Low_Heading,
  .PerformanceTab_Performance_1_Month_Change_Heading,
  .PerformanceTab_Performance_1_Month_Change_Value {
    display: none;
  }

  .PerformanceTab_Performance_5_Year_Change_Heading,
  .PerformanceTab_Performance_5_Year_Change_Value {
    border-right: 0em solid #e0e0e0;
  }
}

@media (min-width: 0px) and (max-width: 501px) {

  .PerformanceTab_Performance_3_Month_Change_Heading,
  .PerformanceTab_Performance_3_Month_Change_Value {
    display: none;
  }
}

/*************************************** End of: Performance data ****************************************/

#divCalendar {
  border: 0.08em solid #e0e0e0;
  background: #fff;
  box-shadow: 1px 1px 2px #a6a9a3;
}

.dbFooter {
  padding-top: 1em;
}

/* MOdification start */
input[type="radio"] {
  appearance: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background-color: #DAE4E8;
}

input[type="radio"]:checked {

  border: 4px solid #DAE4E8;
  background-color: #4E8AA5;
}

div#periodSelectionPanel.periodSelection input {
  margin: 0px 8px -1px 0px;
}

.periodSelection ul {
  text-align: center !important;
}

ul#_ulPeriod {
  padding-top: 0.5em !important;
  padding-bottom: 0.5em !important;
}

input[type="checkbox"] {
  accent-color: #4E8AA5;
  border-radius: 4px;
  width: 16px;
  height: 16px;
  border-color: #E0E0E0 !important;
}

@media (max-width: 1130px) {
  .navigation ul li a {
    margin-right: 0px;
  }
}

@media (max-width: 1120px) {
  .navigation ul li a {
    margin-left: 0px;
  }
}

@media (max-width: 1095px) {
  .navigation ul li a {
    margin-right: -8px;
  }
}

@media (max-width: 1024px) {
  #tabPanel ul li {
    width: 50%;
  }

  #tabPanel ul {
    width: 75%;
    height: 92px;
    border-radius: 30px;
  }

  .navigation ul li a {
    margin-right: 0px;
    width: 75%;
  }
}

@media (max-width: 700px) {
  #tabPanel ul li {
    width: 100%;
  }

  #tabPanel ul {
    width: 75%;
    height: 180px;
    border-radius: 30px;
  }

  .navigation ul li a {
    width: 75%;
  }
}

@media (max-width: 480px) {
  #tabPanel ul {
    width: 75%;
  }

  .navigation ul li a {
    width: 75%;
  }
}

/* CALENDAR SG */

.DynarchCalendar-dayNames div,
.DynarchCalendar-day,
.DynarchCalendar-weekNumber {
  padding: 8px 5px;
  margin: 1px !important;
  background: #fff;
  border: 1px solid transparent;
  border-radius: 0px;
  text-align: center;
  font-size: 16px;
  color: #1b3e6f;
}

.DynarchCalendar-day-today.DynarchCalendar-day-selected,
.DynarchCalendar-day:active {
  background-color: #1b3e6f;
  color: #fff !important;
  font-weight: 400;
  border: 0px solid;
  border-radius: 34px;
}

.DynarchCalendar-day-selected {
  background-color: #1b3e6f;
  color: #fff !important;
  border-radius: 34px;
}

.DynarchCalendar-day:hover {
  background: #1b3e6f;
  color: #fff !important;
  border-radius: 34px;
}

.DynarchCalendar-day-disabled {
  opacity: 0.5;
  text-shadow: none !important;
}

.DynarchCalendar-title div {
  padding: 5px 17px !important;
  text-shadow: none;
  color: #1b3e6f;
  border: 1px solid transparent;
  font-family: "Inter", serif;
  font-size: 16px;
}

.DynarchCalendar-day-today.DynarchCalendar-day-selected:hover {
  font-weight: 400;
}

.DynarchCalendar-weekend {
  color: #c22 !important;
}

.DynarchCalendar-title div:hover {
  border: 1px solid #1b3e6f;
}

.DynarchCalendar-bottomBar-today,
.button_bg {
  display: block;
  font-weight: bold;
  color: #fff;
  text-transform: capitalize;
  margin: 3px auto;
  padding: 7px;
  font-size: 16px;
  border: 1px solid #1b3e6f;
  font-family: "Inter", serif;
  background: #1b3e6f;
  transition: background 0.5s, color 0.5s, border 0.5s;
  width: 94px;
  text-decoration: none;
  border-radius: 20px;
}

.DynarchCalendar-bottomBar-today:hover,
.button_bg:hover {
  display: block;
  width: 94px;
  font-weight: bold;
  color: #fff;
  text-transform: capitalize;
  margin: 3px auto;
  padding: 7px;
  border: 1px solid #1b3e6f;
  background: #1b3e6f;
  transition: background 0.5s, color 0.5s, border 0.5s;
  font-family: "Inter", serif;
  text-decoration: none;
}

.DynarchCalendar table {
  font-family: "Inter", serif;
  font-size: 16px !important;
}

.button_bg {
  float: right;
  line-height: 0em !important;
  width: 80px;
}

.button_bg:hover {
  width: 80px;
}

.DynarchCalendar-dayNames div,
.DynarchCalendar-day,
.DynarchCalendar-weekNumber {
  font-family: "Inter", serif;
}

.DynarchCalendar-menu-year {
  margin-left: 84px;
}

@media screen and (max-width:520px) {

  .DynarchCalendar-dayNames div,
  .DynarchCalendar-day,
  .DynarchCalendar-weekNumber {
    padding: 1px 0px;
    margin: 1px !important;
    border: 1px solid transparent;
    border-radius: 35px;
    text-align: center;
    font-size: 10px !important;
  }

  .DynarchCalendar table {
    line-height: 14px !important;
  }

  .DynarchCalendar-title div {
    padding: 5px 17px !important;
    text-shadow: none;
    border: 1px solid transparent;
    font-size: 14px !important;
  }

  .DynarchCalendar-bottomBar-today,
  .button_bg {
    display: block;
    font-family: "Inter", serif;
    margin: 0 auto;
    padding: 7px;
    font-size: 14px;
    transition: background 0.5s, color 0.5s, border 0.5s;
    text-decoration: none;
  }

  .DynarchCalendar-bottomBar-today {
    max-width: 140px;
  }

  .DynarchCalendar-bottomBar-today:hover {
    display: block;
    font-family: "Inter", serif;
    font-weight: 400;
    text-transform: capitalize;
    margin: 0 auto !important;
    padding: 7px;
    text-decoration: none;
  }

  .button_bg {
    line-height: 0em !important;
    width: 100px;
    margin: 0 auto;
    margin-top: 3px;
  }

  .DynarchCalendar-menu-year {
    margin-left: 42px;
  }

  .button_bg:hover {
    display: block;
    font-family: "Inter", serif;
    font-weight: 400;
    padding: 7px;
    min-width: 100px;
    margin: 0 auto;
    margin-top: 3px;
  }

}

.highcharts-axis-labels.highcharts-xaxis-labels tspan {
  font-weight: 600;
}

@media print {
  #tabPanel ul {
    text-align: center !important;
    font-size: 0em;
    background: #e5eef1;
    border-radius: 200px;
    width: 70%;
    margin: 0 auto !important;
    height: 50px;
  }

  #tabPanel ul li {
    width: auto;
  }

}

#txtInsertPeriod {
  padding: 5px 7px;
  font-family: inherit;
  border: 1px solid #6F748080;
  border-radius: 4px;
}

.legendSharesDiv {
  white-space: normal !important;
}

/* share data border */
.DataTable {
  border-collapse: unset !important;
  border-spacing: 0 10px;
}

td.DataNameTD {
  border: 1px solid #e0e0e0 !important;
  border-radius: 10px;
  border-right: 0 !important;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

td.DataValueTD {
  border: 1px solid #e0e0e0 !important;
  border-radius: 10px;
  border-left: 0 !important;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

@media (max-width: 352px) {

  .TickerNameTD,
  .Ticker_SelectedRow,
  .TickerValueTD.TickerValueTD_ShareName {
    font-size: 13px;
  }
}

/* Custome Checkbox */
input[type="checkbox"] {
  display: none;
}

body TABLE.ControllRow TD.ControllTD input[type="checkbox"]+label {
  position: relative !important;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0px 0px 5px 23px;
  ;
}



input[type="checkbox"]+label::before {
  position: absolute;
  content: "";
  left: 3px;
  top: 5px;
  width: 12px;
  height: 12px;
  border: 1px solid #6F748080;
  border-radius: 4px;
}

input[type="checkbox"]:checked+label::after {
  content: " ";
  position: absolute;
  color: #ffffff !important;
  background: url(checked.png) !important;
  left: 3px;
  top: 5px;
  width: 14px;
  height: 14px;
  padding-top: 0px;
  padding-left: 0px;
  background-size: 14px !important;
}

/* end custome checkbox */

#txtInsertPeriod:focus-visible {
  border: 1px solid #4E8AA5;
  outline: none;
  box-shadow: 0px 1px 3px 0px #10182814;
}

@media (max-width: 350px) {

  .Trades_RowHeader,
  .Trades_Row.EvenRow,
  .Trades_Row.OddRow {
    font-size: 13px;
  }

  .PerformanceTab_Table_Price_Performance,
  .PerformanceTab_Table_Performance_By_Year {
    width: 100%;
    table-layout: fixed;
  }
}

/* custom ticker table percentage */

.TickerValueTD.TickerValueTD_LastPriceChange.minus.minusPriceChange.minus span:before,
.TickerValueTD.TickerValueTD_LastPricePercentChange.minus.minusPercentChange span:before {
  right: 65px;
}

.TickerValueTD.TickerValueTD_LastPriceChange.minus.minusPriceChange.minus span,
.TickerValueTD.TickerValueTD_LastPricePercentChange.minus.minusPercentChange span {
  padding: 8px 10px 8px 5px;
}

.TickerValueTD.TickerValueTD_LastPriceChange.plus.plusPriceChange.plus span:before,
.TickerValueTD.TickerValueTD_LastPricePercentChange.plus.plusPercentChange span:before {
  right: 59px;
}


.TickerValueTD.TickerValueTD_LastPriceChange.plus.plusPriceChange.plus span,
.TickerValueTD.TickerValueTD_LastPricePercentChange.plus.plusPercentChange span {
  padding: 8px 10px 8px 5px;
}

/* End custom ticker table percentage */

.comparelegend_colon {
  padding-right: 4px;
}

.comparelegend_separator {
  padding-left: 5px;
  padding-right: 5px;
}